package org.rcisoft.bus.custinfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.custinfo.entity.CustInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年12月13日 上午9:58:24.
 */
public interface CustInfoService {

    /**
    * 保存 客户信息表
    * @param custInfo
    * @return
    */
    CyPersistModel persist(CustInfo custInfo);

    /**
    * 删除 客户信息表
    * @param custInfo
    * @return
    */
    CyPersistModel remove(CustInfo custInfo);

    /**
    * 逻辑删除 客户信息表
    * @param custInfo
    * @return
    */
    CyPersistModel removeLogical(CustInfo custInfo);

    /**
    * 修改 客户信息表
    * @param custInfo
    * @return
    */
    CyPersistModel merge(CustInfo custInfo);

    /**
    * 根据id查询 客户信息表
    * @param id
    * @return
    */
    CustInfo findById(int id);

    /**
    * 分页查询 客户信息表
    * @param custInfo
    * @return
    */
    IPage<CustInfo> findAllByPagination(CyPageInfo<CustInfo> paginationUtility,
              CustInfo custInfo);


    /**
    * 查询list 客户信息表
    * @param custInfo
    * @return
    */
    List<CustInfo> findAll(CustInfo custInfo);


    /**
    * 导出客户信息表
    * @return
    */
    List<CustInfo> export(CustInfo custInfo);

}
